Get network timeseries data
curl --request GET \
--url https://api.messari.io/metrics/v1/networks/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity} \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v1/networks/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v1/networks/{entityIdentifier}/metrics/{datasetSlug}/time-series/{granularity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"points": [
[
"<unknown>"
]
]
},
"error": "<string>",
"metadata": {
"pointSchemas": [
{}
]
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}v1 (Legacy)
Get network timeseries data
Retrieve a specific network’s timeseries data
GET
/
metrics
/
v1
/
networks
/
{entityIdentifier}
/
metrics
/
{datasetSlug}
/
time-series
/
{granularity}
Get network timeseries data
Authorizations
Path Parameters
Entity ID or slug
Dataset slug
Granularity
Available options:
1m, 5m, 15m, 30m, 1h, 6h, 1d, 1w, 30d, 1q, 1y Example:
"1d"
Query Parameters
Time range start
Example:
"2025-06-01T00:00:00Z"
Time range end
Example:
"2025-06-07T00:00:00Z"
⌘I

